Subject: Retatrutide Makes Me Hungrier?
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 29 Apr 2026 22:04:32 +0000

Happy Wednesday! 

An excellent reader question landed in my inbox this week. It's one I'm hearing more often these days.

“_"I've noticed a significant increase in hunger while taking retatrutide, but interestingly, I'm not experiencing weight gain, just not seeing any weight loss either. Is this something you've seen before, and are there ways to improve results in a situation like this?"_“ — 

The short answer is yes, I have seen this. 

And it makes more sense than you'd think once you understand what retatrutide is actually doing in the body.

Most people assume retatrutide works the same way semaglutide and tirzepatide do, but retatrutide is a different animal. 

The published trial data tells a story that doesn't match the marketing.

Let's get into it.

———————————————————————————

**Trial Data and Hunger**

In the phase 2 trial published in _Diabetes, Obesity and Metabolism_ last year, the appetite suppression on retatrutide was much weaker than people expected. 

By week 36, the hunger reductions were no longer statistically different from placebo (which is why it’s better to cycle peptides).  

None of the doses showed a real difference in fullness or satiety scores at any point during the 36-week trial.

The phase 3 TRIUMPH-4 data supports this. 

Only 18-19% of people on the highest doses reported "decreased appetite" as a side effect. 

Compare that to nausea at 38-43% or diarrhea at 33-35%. Decreased appetite is one of the _weakest_ signals in the safety data.

So if you're not feeling crushing appetite suppression on retatrutide, you're actually pretty normal. 

The drug just doesn't suppress hunger the way Lilly's marketing suggests.

———————————————————————————

**The Counter-Regulatory Hunger Response **

Now let's talk about why some people get _hungrier_ on retatrutide instead of less hungry.

When you lose body weight, your body fights back. Hard. 

Ghrelin, the hormone that tells you to eat, climbs higher. 

Leptin, the hormone that tells you you're full, drops. This is well documented across decades of weight-loss research. 

The response gets stronger the more weight you lose and the faster you lose it.

Retatrutide produces some of the most aggressive weight loss ever seen from a drug. Up to 28.7% at 68 weeks in TRIUMPH-4. 

That kind of rapid loss triggers a maximal counter-regulatory response. 

Your body interprets it as starvation and ramps up hunger drive to defend its weight.

Lilly hasn't measured ghrelin or leptin in any published retatrutide trial. 

They don't track "increased appetite" as a reportable side effect. 

So this whole counter-regulatory mechanism is invisible in the official trial data, even though we know it's happening physiologically.

———————————————————————————

**The Scale Doesn’t Move**

Retatrutide increases energy expenditure by activating the glucagon receptor. 

Your body senses the increased calorie burn. It cranks up hunger to compensate.

You eat more to match the increased burn. Net result, neutral weight.

This is the same pattern researchers see with exercise. 

Studies on exercise and appetite show a consistent pattern. 

Increasing energy expenditure suppresses appetite in the short term. 

But over the long term, hunger and food intake actually go up. The body defends its set point.

The Lilly authors actually hint at this in the _Diabetes, Obesity and Metabolism_ paper. 

Buried in the discussion, they speculate that retatrutide's effect on energy expenditure could "_influence retatrutide's effects on appetite-related constructs._" 

Essentially, the glucagon-driven calorie burn might be working _against_ the appetite suppression.

The very mechanism that makes retatrutide unique is also what makes some people hungrier.

———————————————————————————

**Why Me?**

Based on what I've seen and the trial data, a few patterns stand out.

People with lower starting BMI tend to hit this wall harder. 

The TRIUMPH-4 data showed something telling. 

People with BMI under 35 dropped out at much higher rates due to "perceived excessive weight loss" and adverse events. 

Their bodies fought back faster because they had less fat to lose in the first place.

People who are already lean and using retatrutide for body recomposition see this all the time. 

The hunger drive ramps up because the body has nothing to spare.

People at higher doses without enough protein or strength training also struggle. 

If you're losing weight and not protecting muscle, your body burns lean tissue. 

Lean tissue loss worsens metabolic adaptation. Worse adaptation means more hunger.

The TRIUMPH body composition data showed retatrutide doesn't actually preserve lean mass any better than other GLP-1 agents. 

The "muscle-sparing" marketing around glucagon doesn't hold up in the data. So if you're not training, eating protein, and optimizing your hormones, you'll lose muscle. 

And your hunger is going to climb.

———————————————————————————

**What I Would Do **

A few things to try, in order.

First, hammer protein. One gram per pound of goal body weight, minimum. Protein blunts ghrelin, builds satiety hormones, and protects lean mass. This is the single biggest lever you have.

Second, add resistance training if you're not already lifting. Two to four sessions per week of real strength work. This protects muscle, keeps your metabolic rate higher, and reduces the counter-regulatory pressure on hunger.

Third, look at your dose. If you're on 8 or 12 mg and the hunger is winning, talk to your provider about dropping back to 4 mg. The phase 3 TRIUMPH program is specifically testing 4 mg as a maintenance dose for this reason. Less is sometimes more.

Fourth, watch sleep and stress. Poor sleep directly raises ghrelin and lowers leptin. Chronic stress raises cortisol levels, which drive appetite. If these are off, no drug is going to override them.

Fifth, get bloodwork. If your sex hormones and thyroid are tanked, it’s only a matter of time before you suffer from retatrutide-induced disaster. 

———————————————————————————

**Final Thoughts**

So why does retatrutide cause increased hunger in some people? Right now, all we can do is speculate.

Nonetheless, retatrutide should not be viewed as a magic appetite eraser. 

It's a powerful metabolic tool with a unique mechanism that cuts both ways.

The glucagon component is what gives retatrutide its edge over tirzepatide in weight-loss potential. 

It's also what makes some people hungrier, because it's burning more calories, and the body wants those calories back.

If you're hungry and not losing weight, you're experiencing exactly what the published data quietly shows. 

Most of retatrutide's weight loss happens through pathways _other than_ appetite suppression. 

The correlation between hunger reduction and weight loss in the trial was modest, around r=0.28. 

That means appetite suppression accounts for less than 10% of the weight-loss variance.

So the play is to lean into the protein, the training, HRT, and the lifestyle work. 

The peptide is doing its job. 

Your job is to give it the inputs that let the weight loss show up on the scale.

Best, 

Hunter Williams

———————————————————————————

**Further Reading**

* [Why Am I So Hungry on Retatrutide? Causes and Solutions (Bolt Pharmacy)](https://www.boltpharmacy.co.uk/guide/why-am-i-so-hungry-on-retatrutide)

* [Appetite, eating attitudes, and eating behaviours during treatment with retatrutide (Kanu et al., Diabetes Obes Metab 2025)](https://pmc.ncbi.nlm.nih.gov/articles/PMC12587234/)

* [Triple-Hormone-Receptor Agonist Retatrutide for Obesity Phase 2 Trial (Jastreboff et al., NEJM 2023)](https://www.nejm.org/doi/full/10.1056/NEJMoa2301972)

* [Lilly TRIUMPH-4 Phase 3 Results Press Release (December 2025)](https://investor.lilly.com/news-releases/news-release-details/lillys-triple-agonist-retatrutide-delivered-weight-loss-average)

* [Effects of retatrutide on body composition in T2D (Lancet Diabetes & Endocrinology 2025)](https://www.sciencedirect.com/science/article/abs/pii/S2213858725000920)

* [Retatrutide Game Changer in Obesity Pharmacotherapy Review (PMC)](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC12190491/)

* [Long-Term Persistence of Hormonal Adaptations to Weight Loss (Sumithran et al., NEJM)](https://www.nejm.org/doi/full/10.1056/NEJMoa1105816)

* [Glucagon Control on Food Intake and Energy Balance (PMC)](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6719123/)

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/retatrutide-makes-me-hungrier